import arcpy, os

outputFolder = arcpy.GetParameterAsText(0)
specifiedLayer = arcpy.GetParameterAsText(1)
titleField = arcpy.GetParameterAsText(2)


mxd = arcpy.mapping.MapDocument("CURRENT")   #layout mxd to use.
mxd.activeView='PAGE_LAYOUT'                 #Must have text element named "titleText"
df = arcpy.mapping.ListDataFrames(mxd, "Layers")[0]

for row in arcpy.SearchCursor(specifiedLayer):
    df.extent = row.SHAPE.extent
    df.scale = df.scale * 1.1
    title = row.getValue(titleField)
    for elm in arcpy.mapping.ListLayoutElements(mxd, "TEXT_ELEMENT"):
        if elm.name == "titleText":
            elm.text=str(title)
    pathPDF = str(outputFolder + "/" + title + ".pdf")
    arcpy.mapping.ExportToPDF(mxd, pathPDF, "PAGE_LAYOUT")